drop table dim_psSTAT;

create table dim_psSTAT
(
 ID          int not null,
 Sno         int not null,

 pid         int not null,
 ppid        int,
 puser       varchar(16) not null,
 fname       varchar(20) not null,
 pname       varchar(20) not null,
 pcpu        float(24,5),
 pmem        int,
 time        int,

 usrtime     float(24,5),
 cusrtime    float(24,5),
 systime     float(24,5),
 csystime    float(24,5),
 pri         int,
 vsz         int,
 rss         int,
 psz         int,
 psr         int,
 sysc        int,

 traptime    float(24,5),
 tftime      float(24,5),
 dftime      float(24,5),
 ultime      float(24,5),
 etctime     float(24,5),
 wcputime    float(24,5),
 stoptime    float(24,5),

 inblk       int,
 outblk      int,
 sigs        int,
 vctx        int,
 ictx        int

);





-- create index dim_psSTAT_ID        on dim_psSTAT( ID );
-- create index dim_psSTAT_ID_Sno    on dim_psSTAT( ID,Sno );
-- create index dim_psSTAT_ID_PID    on dim_psSTAT( id,pid );
-- create index dim_psSTAT_ID_PUSER  on dim_psSTAT( id,puser );
-- create index dim_psSTAT_ID_FNAME  on dim_psSTAT( id,fname );
-- create index dim_psSTAT_ID_PNAME  on dim_psSTAT( id,pname );

create index dim_psSTAT_ID_Sno    on dim_psSTAT( ID, Sno, puser, pname, fname, pid );

alter table dim_psSTAT max_rows=4000000000;

delete from TabX_note where tabname = 'dim_psSTAT';
insert into TabX_note( tabname, note ) values ( 'dim_psSTAT', 'Solaris per Process/User Activity Statistics (detailed)' );

delete from TabX where tabname = 'dim_psSTAT';
insert into TabX values ( 'dim_psSTAT',  1, 'id', 'AD', 'ID', '' );
insert into TabX values ( 'dim_psSTAT',  2, 'sno', 'S', 'Sno#', '' );

insert into TabX values ( 'dim_psSTAT',  3, 'puser', 'AS', 'User', '' );
insert into TabX values ( 'dim_psSTAT',  4, 'fname', 'AS', 'File Name', '' );
insert into TabX values ( 'dim_psSTAT',  5, 'pname', 'AS', 'Process Name', '' );

insert into TabX values ( 'dim_psSTAT',  6, 'pid', 'V', 'PID', '' );
insert into TabX values ( 'dim_psSTAT',  7, 'ppid', 'V', 'PPID', '' );
insert into TabX values ( 'dim_psSTAT',  8, 'pcpu', 'V', 'CPU%', '' );
insert into TabX values ( 'dim_psSTAT',  9, 'pmem', 'V', 'MEM%', '' );
insert into TabX values ( 'dim_psSTAT', 10, 'time', 'V', 'Total-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 11, 'usrtime',  'V', 'Usr-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 12, 'cusrtime', 'V', 'Chld.Usr-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 13, 'systime',  'V', 'Sys-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 14, 'csystime', 'V', 'Chld.Sys-CPU time', '' );
insert into TabX values ( 'dim_psSTAT', 15, 'pri', 'V', 'Priority', '' );
insert into TabX values ( 'dim_psSTAT', 16, 'vsz', 'V', 'Virt.Size(KB)', '' );
insert into TabX values ( 'dim_psSTAT', 17, 'rss', 'V', 'Res.Size(KB)', '' );
insert into TabX values ( 'dim_psSTAT', 18, 'psz', 'V', 'Priv.Size(KB)', '' );
insert into TabX values ( 'dim_psSTAT', 19, 'sysc', 'V', 'SysCalls', '' );

insert into TabX values ( 'dim_psSTAT', 20, 'traptime', 'V', 'TRAP time', '' );
insert into TabX values ( 'dim_psSTAT', 21, 'tftime', 'V', 'TxtPageFlt time', '' );
insert into TabX values ( 'dim_psSTAT', 22, 'dftime', 'V', 'DatPageFlt time', '' );
insert into TabX values ( 'dim_psSTAT', 23, 'ultime', 'V', 'UserLock time', '' );
insert into TabX values ( 'dim_psSTAT', 24, 'etctime', 'V', 'OtherSleep time', '' );
insert into TabX values ( 'dim_psSTAT', 25, 'wcputime', 'V', 'WaitCPU time', '' );
insert into TabX values ( 'dim_psSTAT', 26, 'stoptime', 'V', 'STOP time', '' );

insert into TabX values ( 'dim_psSTAT', 27, 'inblk', 'V', 'Input Blocks', '' );
insert into TabX values ( 'dim_psSTAT', 28, 'outblk', 'V', 'Output Blocks', '' );
insert into TabX values ( 'dim_psSTAT', 29, 'sigs', 'V', 'Signals', '' );
insert into TabX values ( 'dim_psSTAT', 30, 'vctx', 'V', 'VolContexSW', '' );
insert into TabX values ( 'dim_psSTAT', 31, 'ictx', 'V', 'InvolContexSW', '' );

